Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 737202 - dev-libs/tvision-2.2.1.4 fails to link with LLD because of /usr/lib in the link command line
Summary: dev-libs/tvision-2.2.1.4 fails to link with LLD because of /usr/lib in the li...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernd
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-08-15 05:21 UTC by Agostino Sarubbo
Modified: 2021-02-09 08:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,111.88 KB, text/plain)
2020-08-15 05:21 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-15 05:21:14 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-libs/tvision-2.2.1.4 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-15 05:21:16 UTC
Created attachment 654704 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-02-09 08:52:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7636414fbc647c2b6b9c9de31be50c86df356808

commit 7636414fbc647c2b6b9c9de31be50c86df356808
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-02-08 23:14:44 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-09 08:48:51 +0000

    dev-libs/tvision: fix linker flags
    
    Enables linking with LLD
    Fix metadata issues.
    
    Closes: https://bugs.gentoo.org/737202
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Closes: https://github.com/gentoo/gentoo/pull/19382
    Signed-off-by: Sam James <sam@gentoo.org>

 ...-2.2.1.4-Gentoo-specific-fix-linker-paths.patch | 33 ++++++++++++++++++++++
 dev-libs/tvision/metadata.xml                      |  4 +--
 dev-libs/tvision/tvision-2.2.1.4.ebuild            |  4 +--
 3 files changed, 37 insertions(+), 4 deletions(-)